<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class CashCategory extends Model
{
    protected $fillable = ['name', 'type'];

    public function records(): HasMany
    {
        return $this->hasMany(CashRecord::class, 'category_id');
    }
}
